#pragma once

#include "CoreMinimal.h"
#include "ShockSurvivorInfo.generated.h"

class ASurvivor;

USTRUCT(BlueprintType)
struct FShockSurvivorInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	ASurvivor* Survivor;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool WillIncreaseMadnessLevel;

public:
	THEDOCTOR_API FShockSurvivorInfo();
};

FORCEINLINE uint32 GetTypeHash(const FShockSurvivorInfo) { return 0; }
